package com.kiisoo.ic.employee.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.kiisoo.ic.employee.entity.CpUserCustomerRelationDO;
import com.kiisoo.ic.employee.entity.PrivilageCpUserDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface PrivilageCpUserDOMapper extends BaseMapper<PrivilageCpUserDO> {
    int insertCpUserCustomerRelation(@Param("customerUserId")String custeromUserId,@Param("cpUserId")String cpUserId,@Param("cpId")Long cpId);

    CpUserCustomerRelationDO selectCpUserCustomerRelation(@Param("customerUserId")String custeromUserId, @Param("cpUserId")String cpUserId, @Param("cpId")Long cpId);

    Long selectAllCount();

    Long selectDistinctAllCount();

    List<String> selectCustomerIdsByCpUserId(@Param("cpUserId")String cpUserId);
}
